#include <bits/stdc++.h>
#define ll long long
#define f first
#define s sceond
using namespace std;

int main()
{
    string s;
    cin >> s;
    string t="";
    for (int i=0;i<s.size();i++) {
        if (s[i]!='0') {
            t+=s[i];
        } 
    } reverse(t.begin(),t.end());
   for (int i=0;i<t.size();i++) {
       if (t[i]=='2') {
           t[i]='5';
       } else if (t[i]=='5') {
           t[i]='2';
       }
   } cout << t;
      
    return 0;
}